Azure
action Machine

# restart_machines

Restart virtual machines at random

Run it now
View details

Type | action
Module | chaosazure.machine.actions
Name | restart_machines
Return | None

Usage

JSON

    {
      "name": "restart-machines",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosazure.machine.actions",
        "func": "restart_machines"
      }
    }

YAML

    name: restart-machines
    provider:
      func: restart_machines
      module: chaosazure.machine.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | string | null | No | Filter | Target filter selector

If the filter is omitted all machines in the subscription will be selected as potential chaos candidates.

Examples

Some calling examples. Deep dive into the filter syntax: https://docs.microsoft.com/en-us/azure/kusto/query/

    # Restart all machines from the group 'rg'
    > restart_machines("where resourceGroup=='rg'", c, s)

    # Restart the machine from the group 'rg' having the name 'name'
    > restart_machines("where resourceGroup=='rg' and name='name'", c, s)

    # Restart two machines at random from the group 'rg'
    > restart_machines("where resourceGroup=='rg' | sample 2", c, s)

Signature

    def restart_machines(filter: str = None,
                         configuration: Dict[str, Dict[str, str]] = None,
                         secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Azure
  probe Machine

  ## `describe_machines`

  Describe Azure virtual machines
- Azure
  action Machine

  ## `network_latency`

  Increases the response time of the virtual machine
- Azure
  action Machine

  ## `burn_io`

  Increases the Disk I/O operations per second of the virtual machine